package com.zcxk.dao;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.zcxk.entity.LoginLog;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * (LoginLog)表数据库访问层
 *
 * @author makejava
 * @since 2020-10-23 15:31:45
 */
@Mapper
public interface LoginLogMapper {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    LoginLog selectById(Integer id);


    /**
     * 查询全部
     *
     * @return 对象列表
     */
    List<LoginLog> selectAll();

    /**
     * 通过实体作为筛选条件查询
     *
     * @param loginLog 实例对象
     * @return 对象列表
     */
    List<LoginLog> selectList(LoginLog loginLog);

    /**
     * 新增数据
     *
     * @param loginLog 实例对象
     * @return 影响行数
     */
    int insert(LoginLog loginLog);

    /**
     * 批量新增
     *
     * @param loginLogs 实例对象的集合
     * @return 影响行数
     */
    int batchInsert(List<LoginLog> loginLogs);

    /**
     * 修改数据
     *
     * @param loginLog 实例对象
     * @return 影响行数
     */
    int update(LoginLog loginLog);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 影响行数
     */
    int deleteById(Integer id);

    /**
     * 查询总数据数
     *
     * @return 数据总数
     */
    int count();

    IPage<LoginLog> selectPage(IPage<LoginLog> page, LoginLog loginLog);

}